package Irpg::Classes::Soldier;

use strict;
use warnings;
use Irpg::Classes::Fighter;
our @ISA = qw(Irpg::Classes::Fighter);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'str'} + $pl_stats->{'con'} < 12) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Soldier';
	$self->{MOD_CON} = 1.5;
	return $self;
}

1;
