package Irpg::Classes::Enlightened;

use strict;
use warnings;
use Irpg::Classes::Apprentice;
our @ISA = qw(Irpg::Classes::Apprentice);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'int'} + $pl_stats->{'wis'} < 10) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Enlightened';
	$self->{MOD_WIS} = 1.3;
	$self->{MOD_INT} = 1.3;
	return $self;
}

1;
