package Irpg::Classes::Wizard;

use strict;
use warnings;
use Irpg::Classes::Enlightened;
our @ISA = qw(Irpg::Classes::Enlightened);

sub new {
	my ($class, $pl_stats) = @_;

	# condition to enter the class
	if ($pl_stats->{'int'} + $pl_stats->{'wis'} < 12) {
		return undef;
	}

	my $self = $class->SUPER::new($pl_stats);
	bless $self, $class;
	$self->{NAME} = 'Wizard';
	$self->{MOD_INT} = 1.5;
	return $self;
}

1;
